summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-17 16:15:37 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2013-11-24 17:45:27 +0000
commitc2d43f9859a861f8522c32bb42e9f74fd229b6bf (patch)
tree9a8c8245c9e173b943934d1f95b5746864692111 /tests/tests
parentaa763397e6222caf15f1f4c86e05162b8764f3dc (diff)
autopkgtests: push test; specify dummy upload host; specify dput host and config
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/push-newpackage24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/tests/push-newpackage b/tests/tests/push-newpackage
new file mode 100755
index 0000000..2d01657
--- /dev/null
+++ b/tests/tests/push-newpackage
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive-none pari-extra
+t-git-none
+t-worktree 3-1
+v=3-1
+cd $p
+git-branch -m dgit/sid master
+git-remote rm dgit
+
+LANG=C t-dgit push 2>&1 \
+ | tee /dev/stderr \
+ | grep 'package appears to be new in this suite' >/dev/null
+
+echo y
+
+t-dgit build
+t-dgit push --new
+
+t-pushed-good
+
+echo ok.